Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(1303)

Issue 4849054: T1349 - Fix load order for running with Guile V2 (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
7 years, 10 months ago by Ian Hulin (gmail)
Modified:
7 years, 9 months ago
Reviewers:
Patrick McCarty, carl.d.sorensen, Neil Puttock
CC:
lilypond-devel_gnu.org
Visibility:
Public.

Description

T1349 - Fix load order for running with Guile V2 1. Split load list into components (init-scheme-files-lib, *-used, *-body and *-tail, and append them together before doing load. 2. Split markup macros from markup.scm to new file markup-macros.scm ========================================= Closing Rietveld issue. Patches have been pushed and verified in Tracker system (1349).

Patch Set 1 #

Total comments: 77

Patch Set 2 : Implement Carl's observations and fix whitespace issues #

Patch Set 3 : As patch-set 2, but including new version of markup.scm #

Patch Set 4 : scm/lily.scm now rebased and merged with origin/master #

Total comments: 36

Patch Set 5 : Fix more whitespace errors in scm/lily.scm after Neil's comments #

Total comments: 2

Patch Set 6 : Fix two more whitespace errors in scm/lily.scm #

Patch Set 7 : Patch based on rebased and merged version of scm/lily.scm #

Unified diffs Side-by-side diffs Delta from patch set Stats (+744 lines, -715 lines) Patch
M scm/lily.scm View 1 2 3 4 5 6 18 chunks +265 lines, -248 lines 0 comments Download
M scm/markup.scm View 1 2 2 chunks +0 lines, -467 lines 0 comments Download
A scm/markup-macros.scm View 1 chunk +479 lines, -0 lines 0 comments Download

Messages

Total messages: 18
Ian Hulin (gmail)
This patch adjusts the load order to one which works for both Guile V1.8.7 and ...
7 years, 10 months ago (2011-08-10 23:49:22 UTC) #1
Carl
Thanks for tackling this. Your tab to space conversion on lily.scm has lots of errors. ...
7 years, 10 months ago (2011-08-11 00:01:29 UTC) #2
Ian Hulin (gmail)
Response to Carl's comments, plus notes to self to sort out white-space issues. New Patchset ...
7 years, 10 months ago (2011-08-11 13:32:43 UTC) #3
Ian Hulin (gmail)
http://codereview.appspot.com/4849054/diff/1/scm/lily.scm File scm/lily.scm (right): http://codereview.appspot.com/4849054/diff/1/scm/lily.scm#newcode116 scm/lily.scm:116: "midi") On 2011/08/11 13:32:43, Ian Hulin (gmail) wrote: > ...
7 years, 10 months ago (2011-08-11 14:30:11 UTC) #4
Ian Hulin (gmail)
New patch-set available for review. Ian
7 years, 10 months ago (2011-08-11 14:36:24 UTC) #5
Neil Puttock
On 2011/08/11 14:36:24, Ian Hulin (gmail) wrote: > New patch-set available for review. Please rebase ...
7 years, 10 months ago (2011-08-11 17:35:22 UTC) #6
Ian Hulin (gmail)
On 2011/08/11 17:35:22, Neil Puttock wrote: > On 2011/08/11 14:36:24, Ian Hulin (gmail) wrote: > ...
7 years, 10 months ago (2011-08-11 19:35:24 UTC) #7
Neil Puttock
http://codereview.appspot.com/4849054/diff/17001/scm/lily.scm File scm/lily.scm (right): http://codereview.appspot.com/4849054/diff/17001/scm/lily.scm#newcode324 scm/lily.scm:324: (> file-name-length 2) tab->space conversion has broken indentation here ...
7 years, 10 months ago (2011-08-11 20:40:45 UTC) #8
Ian Hulin (gmail)
http://codereview.appspot.com/4849054/diff/17001/scm/lily.scm File scm/lily.scm (right): http://codereview.appspot.com/4849054/diff/17001/scm/lily.scm#newcode324 scm/lily.scm:324: (> file-name-length 2) On 2011/08/11 20:40:46, Neil Puttock wrote: ...
7 years, 10 months ago (2011-08-11 23:06:30 UTC) #9
Ian Hulin (gmail)
Two more indentation problems in scm/lily.scm new patchset follows. Ian http://codereview.appspot.com/4849054/diff/8004/scm/lily.scm File scm/lily.scm (right): http://codereview.appspot.com/4849054/diff/8004/scm/lily.scm#newcode394 ...
7 years, 10 months ago (2011-08-11 23:16:59 UTC) #10
Ian Hulin (gmail)
On 2011/08/11 23:16:59, Ian Hulin (gmail) wrote: > Two more indentation problems in scm/lily.scm new ...
7 years, 10 months ago (2011-08-11 23:31:16 UTC) #11
Ian Hulin (gmail)
Reinhold's recent commit for log-levels will require a git re-base and probably a merge for ...
7 years, 10 months ago (2011-08-14 23:12:59 UTC) #12
Carl
Lgtm. Some scheme indentation errors as artifacts from the old file, bit these will be ...
7 years, 10 months ago (2011-08-16 10:24:46 UTC) #13
Neil Puttock
LGTM.
7 years, 10 months ago (2011-08-17 23:15:29 UTC) #14
Patrick McCarty
The load-order issue appears to be fixed, testing with git and guile 1.8 and 2.0.2. ...
7 years, 10 months ago (2011-08-18 06:50:28 UTC) #15
Ian Hulin (gmail)
Hi Patrick, On Thu 18 Aug 2011 07:50:28 BST, pnorcks@gmail.com wrote: > > The load-order ...
7 years, 10 months ago (2011-08-18 10:30:17 UTC) #16
Patrick McCarty
On Thu, Aug 18, 2011 at 3:30 AM, Ian Hulin <ianhulin44@gmail.com> wrote: > On Thu ...
7 years, 10 months ago (2011-08-18 16:06:00 UTC) #17
Ian Hulin (gmail)
7 years, 10 months ago (2011-08-22 19:12:52 UTC) #18
Pushed to master with commit - 

f41963f0b6135c02c363f8401628e85b9bc60def

Ian Hulin
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld f62528b